메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
notes
/
{noteGuid}
/
documents
/
{documentId}
Get Note Document
curl --request GET \
  --url https://api.tiro.ooo/v1/external/notes/{noteGuid}/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tiro.ooo/v1/external/notes/{noteGuid}/documents/{documentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tiro.ooo/v1/external/notes/{noteGuid}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 456,
  "noteGuid": "note-abc123-def456",
  "note": {
    "guid": "note-abc123-def456",
    "webUrl": "https://tiro.ooo/n/xQ8YKnZUPGHNB"
  },
  "template": {
    "id": 1,
    "title": "영업 보고서"
  },
  "locale": "ko_KR",
  "sections": [
    {
      "content": {
        "type": "text/plain",
        "content": "회의는 신제품 출시 계획에 대해 논의했습니다..."
      },
      "createdAt": "2025-10-20T12:35:26Z"
    },
    {
      "content": {
        "type": "text/plain",
        "content": "- 다음 주까지 견적서 발송\n- 담당자 배정"
      },
      "createdAt": "2025-10-20T12:35:26Z"
    }
  ],
  "createdAt": "2025-10-20T12:35:26Z",
  "updatedAt": "2025-10-20T13:45:30Z"
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

noteGuid
string
필수

Note GUID

documentId
integer<int64>
필수

Document ID

쿼리 매개변수

format
enum<string>
기본값:text/markdown

Response format

사용 가능한 옵션:
text/plain,
text/markdown

응답

Document details

A structured multi-section document (e.g., meeting minutes, action items) generated from a NoteDocumentTemplate. Unlike NoteSummary, it is divided into predefined sections. See Data Model.

id
integer<int64>
필수

Document ID

예시:

456

noteGuid
string
필수

The GUID of the note this document belongs to

예시:

"note-abc123-def456"

note
object
필수

Note reference with minimal information

template
object
필수

Summary information of a note document template

locale
enum<string>
필수

Supported language locale

사용 가능한 옵션:
ko_KR,
en_US,
de_DE,
ja_JP,
es_ES,
fr_FR,
id_ID,
vi_VN,
tr_TR,
uk_UA,
ru_RU,
hi_IN,
it_IT,
zh_CN,
ms_MY,
th_TH,
sv_SE
예시:

"ko_KR"

sections
object[]
필수

Array of document sections

createdAt
string<date-time>
필수

Document creation timestamp

예시:

"2025-10-20T12:35:26Z"

updatedAt
string<date-time>
필수

Document last update timestamp

예시:

"2025-10-20T13:45:30Z"

truncated
boolean
기본값:false

true when the document was emitted as part of a deep-search response and its combined section text exceeded the search budget (5,000 chars). Plain document fetches always emit false.